Skip to Content
APIsLast Trade

Last Trade

Get last trade returns the most recent trade for a crypto pair.

Get Last Trade

GEThttps://api.adesic.com/v2/cex/{exchange}/{market}/lasttrade

Returns an object containing the latest trade for a crypto pair on an exchange.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.
market*stringUnique Crypto Pair identifier used by the exchange.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
response.json
{ "exchange": "coinbasepro", "market": "BTC/USD", "id": "279363545", "timestamp": "1644525461042", "price": 43990.48, "size": 0.00608355, "cost": 267.618284604, "side": "buy" }

Copy & Paste Code

cURL
curl -H "api-key: API KEY" https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/lasttrade

Response Object

Example URL: https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/lasttrade 

response.json
{ "exchange": "coinbasepro", "market": "BTC/USD", "id": "279363545", "timestamp": "1644525461042", "price": 43990.48, "size": 0.00608355, "cost": 267.618284604, "side": "buy" }

Response Attributes

Attribute NameData TypeDescription
exchangestringThe exchange id the trade occurred on.
marketstringThe crypto pair that was traded.
idstringThe exchange specific unique id of the trade.
timestampstringThe Unix timestamp that trade was executed.
pricefloatThe quote currency price of the market.
sizefloatThe quantity traded.
costfloatThe quote cost: (size * price).
sidestringWhether the trade was a buy or sell.

© Adesic LLC. All Rights Reserved